
Core - Bug # 44581

Status: Closed Priority: Must have
Author: Helmut Hummel Category: File Abstraction Layer (FAL)
Created: 2013-01-16 Assigned To:
Updated: 2013-02-12 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Editing file properties and pushing the delete button in docheader leads to exception
Description

It should either not be possible at all to delete the record, or the
indexing handling should take the deleted flag into account

Related issues:
related to Core - Bug # 45065: Remove delete button for sys_file Resolved 2013-02-01
related to Core - Bug # 45109: Editing the file content of a file marked as d... Closed 2013-02-03

History
#1 - 2013-01-16 18:30 - Helmut Hummel
- Subject changed from Editing file properties and pushing the delete button in docheader leads to exeption to Editing file properties and pushing the 
delete button in docheader leads to exception

#2 - 2013-01-18 09:26 - Andreas Wolf

What exception exactly? Is the problem that the now stale index record is not found anymore?

IMHO deleting the index record should a) be forbidden altogether or b) also delete the file.

#3 - 2013-02-03 16:26 - Philipp Gampe

If I have a deleted=1 in sys_file, I cannot edit the file properties, but I get a message, then I do not have permissions to edit the record.

#4 - 2013-02-12 21:55 - Helmut Hummel
- Status changed from New to Closed

Closing this one as the UI does not allow deleting the file any more
